from celery import Celery
from opentelemetry.ext.celery import CeleryInstrumentor
from celery import shared_task

from time import sleep
import logging

from django.core.mail import send_mail

from requests import get

from opentelemetry import propagators, trace
from opentelemetry.ext import jaeger
from opentelemetry.sdk.trace.export import BatchExportSpanProcessor
from opentelemetry.sdk.trace import TracerProvider
from opentelemetry.sdk.trace.export import (
    ConsoleSpanExporter,
    SimpleExportSpanProcessor,
)
import requests

trace.set_tracer_provider(TracerProvider())
tracer = trace.get_tracer_provider().get_tracer(__name__)

# jaeger_exporter = jaeger.JaegerSpanExporter(
#     service_name="Email-Service",
#     agent_host_name="localhost",
#     agent_port=6831,
# )

trace.get_tracer_provider().add_span_processor(
    SimpleExportSpanProcessor(ConsoleSpanExporter())
)

_LOG = logging.getLogger(__name__)

@shared_task
def send_log(x, y):
    with tracer.start_as_current_span("add"):
        return x + y
