from django.shortcuts import render
from django.http import HttpResponse

from .tasks import send_log
from requests import get
import logging

from opentelemetry import propagators, trace
from opentelemetry.ext import jaeger
from opentelemetry.sdk.trace.export import BatchExportSpanProcessor
from opentelemetry.sdk.trace import TracerProvider
from opentelemetry.sdk.trace.export import (
    ConsoleSpanExporter,
    SimpleExportSpanProcessor,
)
import requests
from celery import Celery

from opentelemetry import trace
trace.set_tracer_provider(TracerProvider())
tracer = trace.get_tracer_provider().get_tracer(__name__)

trace.get_tracer_provider().add_span_processor(
    SimpleExportSpanProcessor(ConsoleSpanExporter()))

_LOG = logging.getLogger(__name__)

def index(request):
    with tracer.start_as_current_span("request-from-client"):
        celery_res = send_log.delay(50, 50)
        with tracer.start_as_current_span("response-after-sending-email"):
            print("arijit")
            print(send_log.delay(42, 50))
            return HttpResponse('<h1>Email Has been sent Celery</h1>')


